Index: tags/greenstone-3_02-distribution/gsdl3/src/java/org/greenstone/gsdl3/service/LuceneSearch.java
===================================================================
--- trunk/gsdl3/src/java/org/greenstone/gsdl3/service/LuceneSearch.java	(revision 13921)
+++ tags/greenstone-3_02-distribution/gsdl3/src/java/org/greenstone/gsdl3/service/LuceneSearch.java	(revision 13928)
@@ -40,4 +40,13 @@
     protected static final String INDEX_ELEM = "index";
     
+    public boolean configure(Element info, Element extra_info) {
+	if (!super.configure(info, extra_info)){
+	    return false;
+	}
+	
+	default_index = "idx";
+	return true;
+    }
+    
     protected void getIndexData(ArrayList index_ids, ArrayList index_names, String lang) 
     {
@@ -56,5 +65,5 @@
 	} else {
 	    // there is only one index, so we assume the default
-	    index_ids.add("idx");
+	    index_ids.add(this.default_index);
 	    index_names.add("Default index");
 	}
@@ -94,4 +103,7 @@
 	// Get the index
 	String index = (String) params.get(INDEX_PARAM);
+	if (index == null || index.equals("")) {
+	    index = this.default_index; // assume the default
+	}
         try {
 	    String index_dir = GSFile.collectionIndexDir(this.site_home, this.cluster_name);
